Logo
OpenScaler
API DocumentationLoad Balancer Frontends

List Frontends

GET
/v1/lbs/{lb_id}/frontends

List all frontends configured on the given load balancer.

Authorization

bearer_auth
AuthorizationBearer <token>

OAuth Authentication

OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.

Use the access_token in the Authorization header for requests:

Authorization: Bearer <token>

Always keep your token secure and do not share it with anyone.

In: header

Path Parameters

lb_id*string

A unique identifier for a load balancer instance.

Formatuuid

Response Body

application/json

application/json

text/pain

application/json

application/json

curl -X GET "https://example.com/v1/lbs/550e8400-e29b-41d4-a716-446655440000/frontends"
{  "frontends": [    {      "name": "https-frontend",      "mode": "http",      "default_backend": "main-backend",      "binds": [        {          "port": 443,          "ssl": true,          "ssl_certificate": "my-cert",          "use_http3": false        }      ],      "acls": [        {          "name": "is_api",          "criterion": "path_beg",          "value": "/api"        }      ],      "backends": [        {          "backend": "api-backend",          "cond": "if",          "test": "is_api"        }      ],      "options": {        "redirect_ssl": true,        "forward_for": true      }    }  ]}
{  "errors": [    {      "message": "'vcpus' field must be an integer",      "field": "resource_id"    }  ]}
"Access denied"
{  "errors": [    {      "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n"    }  ]}
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}